> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet by Wallet ID

> Retrieve a specific wallet by Wallet ID.

Use the Prime SDK or CLI to test this endpoint by following the [quickstart](/prime/introduction/quickstart) guide and running with the following examples

<Tabs>
  <Tab title="Java">
    ```java theme={null}
    WalletsService walletsService = PrimeServiceFactory.createWalletsService(client);

    GetWalletByIdRequest request = new GetWalletByIdRequest.Builder()
        .portfolioId("PORTFOLIO_ID_HERE")
        .walletId("WALLET_ID_HERE")
        .build();

    GetWalletByIdResponse response = walletsService.getWalletById(request);
    ```

    For more information, please visit the [Prime Java SDK](https://github.com/coinbase-samples/prime-sdk-java).
  </Tab>

  <Tab title=".NET">
    ```csharp wrap theme={null}
    var walletsService = new WalletsService(client);

    var request = new GetWalletByIdRequest("PORTFOLIO_ID_HERE", "WALLET_ID_HERE");

    var response = walletsService.GetWalletById(request);
    ```

    For more information, please visit the [Prime .NET SDK](https://github.com/coinbase-samples/prime-sdk-dotnet).
  </Tab>

  <Tab title="Go">
    ```go wrap theme={null}
    walletsService := users.NewWalletsService(client)

    request := &users.GetWalletRequest{
        PortfolioId: "PORTFOLIO_ID_HERE",
        Id: "WALLET_ID_HERE",
    }

    response, err := walletsService.GetWallet(context.Background(), request)
    ```

    For more information, please visit the [Prime Go SDK](https://github.com/coinbase-samples/prime-sdk-go).
  </Tab>

  <Tab title="Python">
    ```python wrap theme={null}
    prime_client = PrimeClient(credentials)

    request = GetWalletRequest(
        portfolio_id="PORTFOLIO_ID_HERE",
        wallet_id="WALLET_ID_HERE",
    )

    response = prime_client.get_wallet(request)
    ```

    For more information, please visit the [Prime Python SDK](https://github.com/coinbase-samples/prime-sdk-py).
  </Tab>

  <Tab title="CLI">
    ```bash wrap theme={null}
    primectl get-wallet --help
    ```

    For more information, please visit the [Prime CLI](https://github.com/coinbase-samples/prime-cli).
  </Tab>

  <Tab title="TS/JS">
    ```typescript wrap theme={null}
    const walletsService = new WalletsService(client);

    walletsService.getWallets({
        portfolioId: 'PORTFOLIO_ID_HERE',
        walletId: 'WALLET_ID_HERE'
    }).then(async (response) => {
        console.log('Wallet: ', response);
    })
    ```

    For more information, please visit the [Prime TS SDK](https://github.com/coinbase-samples/prime-sdk-ts).
  </Tab>
</Tabs>


## OpenAPI

````yaml GET /v1/portfolios/{portfolio_id}/wallets/{wallet_id}
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/wallets/{wallet_id}:
    get:
      tags:
        - Wallets
      summary: Get Wallet by Wallet ID
      description: Retrieve a specific wallet by Wallet ID.
      operationId: PrimeRESTAPI_GetWallet
      parameters:
        - name: portfolio_id
          in: path
          description: Portfolio ID
          required: true
          schema:
            type: string
        - name: wallet_id
          in: path
          description: Wallet ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.GetWalletResponse
components:
  schemas:
    coinbase.public_rest_api.GetWalletResponse:
      type: object
      properties:
        wallet:
          $ref: '#/components/schemas/coinbase.public_rest_api.Wallet'
    coinbase.public_rest_api.Wallet:
      type: object
      properties:
        id:
          title: The unique UUID for the wallet
          type: string
        name:
          title: The name of the wallet
          type: string
        symbol:
          title: The asset stored in the wallet
          type: string
        type:
          $ref: '#/components/schemas/coinbase.public_rest_api.WalletType'
        created_at:
          title: The UTC timestamp when this wallet was created
          type: string
          format: date-time
        address:
          title: The active address of the wallet
          type: string
        visibility:
          $ref: '#/components/schemas/coinbase.public_rest_api.WalletVisibility'
        network:
          $ref: '#/components/schemas/coinbase.public_rest_api.Network'
    coinbase.public_rest_api.WalletType:
      title: Indicates the wallet type
      type: string
      description: |-
        - VAULT: A crypto vault
         - TRADING: A trading wallet
         - WALLET_TYPE_OTHER: Other wallet types (like consumer, etc)
         - QC: A QC Wallet
         - ONCHAIN: An Onchain wallet
      enum:
        - VAULT
        - TRADING
        - WALLET_TYPE_OTHER
        - QC
        - ONCHAIN
    coinbase.public_rest_api.WalletVisibility:
      type: string
      default: WALLET_VISIBILITY_UNSPECIFIED
      enum:
        - WALLET_VISIBILITY_UNSPECIFIED
        - WALLET_VISIBILITY_VISIBLE
        - WALLET_VISIBILITY_HIDDEN
    coinbase.public_rest_api.Network:
      type: object
      properties:
        id:
          title: The name of the network
          type: string
          description: 'The network id: base, bitcoin, ethereum, solana etc'
        type:
          title: The network type
          type: string
          description: 'The network type: mainnet, testnet, etc'

````